<nz-spin [nzSpinning]="!eventAndUser">
  <nz-descriptions [nzTitle]="eventAndUser?.workshop?.name" nzLayout="vertical">
    <nz-descriptions-item nzTitle="Nom">
      {{eventAndUser?.firstName}} {{eventAndUser?.lastName}}
    </nz-descriptions-item>
    <nz-descriptions-item nzTitle="Date de l'atelier">
      {{eventAndUser?.event?.startDate?.toDate() | date: 'dd/MM/yyyy'}}
    </nz-descriptions-item>
    <nz-descriptions-item nzTitle="Animateurs">
      <nz-list>
        <nz-list-item *ngFor="let organizer of eventAndUser?.organizers">{{organizer | userName}}</nz-list-item>
      </nz-list>
    </nz-descriptions-item>
  </nz-descriptions>

  <nz-divider nzText="Questions"></nz-divider>

  <form *ngIf="surveyForm" [formGroup]="surveyForm" nzLayout="vertical" nz-form (ngSubmit)="onSubmit()">

    <nz-form-item>
      <nz-form-label nzRequired>J'ai participé à l'atelier ?</nz-form-label>
      <nz-form-control>
        <nz-radio-group formControlName="participated">
          <label nz-radio [nzValue]="true">Oui</label>
          <label nz-radio [nzValue]="false">Non</label>
        </nz-radio-group>
      </nz-form-control>
    </nz-form-item>

    <ng-container *ngIf="surveyForm.get('participated').value === true">
      <nz-form-item>
        <nz-form-label nzRequired>J'ai rencontré des difficultés à me connecter ?</nz-form-label>
        <nz-form-control>
          <nz-radio-group formControlName="difficulties">
            <label nz-radio [nzValue]="true">Oui</label>
            <label nz-radio [nzValue]="false">Non</label>
          </nz-radio-group>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired>Sur une échelle de 1 à 10 j'ai trouvé la vidéo (1 étant mauvais et 10 excellent) :</nz-form-label>
        <nz-form-control>
          <nz-rate nzCount="10" formControlName="videoQuality"></nz-rate>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired>Sur une échelle de 1 à 10 j'ai trouvé le son (1 étant mauvais et 10 excellent) :</nz-form-label>
        <nz-form-control>
          <nz-rate formControlName="soundQuality" nzCount="10"></nz-rate>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired>Sur une échelle de 1 à 10 je pense pouvoir réutiliser ce que j'ai appris pendant l'atelier (1 étant pas du tout d'accord et 10 complétement d'accord) :</nz-form-label>
        <nz-form-control>
          <nz-rate nzCount="10" formControlName="usability"></nz-rate>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired>Sur une échelle de 1 à 10 je pense recommander cet atelier (1 étant pas du tout d'accord et 10 complétement d'accord) :</nz-form-label>
        <nz-form-control>
          <nz-rate nzCount="10" formControlName="referral"></nz-rate>
        </nz-form-control>
      </nz-form-item>
    </ng-container>



    <nz-form-item>
      <nz-form-control>
        <button type="submit" nz-button nzType="primary">Ajouter</button>
      </nz-form-control>
    </nz-form-item>

  </form>
</nz-spin>


